<?php
/**
 * Extension Install File
 * Does the stuff for the specific extensions
 *
 * @package			Cache Cleaner
 * @version			1.11.8
 *
 * @author			Peter van Westen <peter@nonumber.nl>
 * @link			http://www.nonumber.nl
 * @copyright		Copyright © 2011 NoNumber! All Rights Reserved
 * @license			http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
 */

// No direct access
defined( '_JEXEC' ) or die;

$name = 'Cache Cleaner';
$alias = 'cachecleaner';
$ext = $name.' (admin module & system plugin)';

// SYSTEM PLUGIN
$states[] = installExtension( $alias, 'System - '.$name, 'plugin', array( 'folder' => 'system' ) );

// MODULE
$states[] = installExtension( $alias, $name, 'module', array(), 1 );

// Stuff to do after installation / update
function afterInstall( &$db )
{
	$query = "UPDATE `#__modules`
		SET	`access` = 3
		WHERE `module` = 'mod_cachecleaner'";

	$db->setQuery( $query );
	$db->query();
}

// Stuff to do after installation / update
// For Joomla 1.5
function afterInstall_j1( &$db )
{
	afterInstall( $db );

	$query = "UPDATE `#__modules`
		SET	`access` = 2
		WHERE `module` = 'mod_cachecleaner'";

	$db->setQuery( $query );
	$db->query();
}